مقبول: ڈیٹا اپ ڈیٹ: 27 اکتوبر، 2026

زمرے

انٹرنیٹ1,356
رابطہ321
آڈیو اور ویڈیو898
گرافکس اور ڈیزائن539
آفس اور پروڈکٹیویٹی1,124
ڈویلپر ٹولز3,134
AI ٹولز529
سیکیورٹی اور پرائیویسی385
سسٹم ٹولز3,114
گیمز523
تعلیم اور سائنس239
نیٹ ورک اور IT284

vx 0.6.24 ڈاؤن لوڈ

Universal Development Tool Manager

یہ پرانا ورژن ہے۔ موجودہ ورژن 0.9.37 ہے۔ vx 0.9.37 · تاریخِ اجرا:

انسٹالر فائلیں 0.6.24

آرکیٹیکچرقسمدائرہفائل کا سائزڈاؤن لوڈSHA256
64 بٹ ZIP → پورٹیبل — — github.com VirusTotal
ARM64 ZIP → پورٹیبل — — github.com VirusTotal

لنک اور SHA256 Windows Package Manager کے کمیونٹی مینی فیسٹ سے لیے گئے ہیں۔ ڈاؤن لوڈ شدہ فائل چلانے سے پہلے اس کا ہیش ملا لیں۔

ریلیز نوٹس

0.6.24 (2026-02-01)
Features
- env: add default inherit_system_vars for all providers (c4e453a)
- providers: add inherit_system_vars to additional providers (de3488c)
- resolver: implement RFC 0026 unified runtime provider relationships (3c3a96b)
- shim: implement RFC 0027 implicit package execution with auto-install (9e3fa3a)
Bug Fixes
- change default isolate to false for child process access to system tools (0b5bba0)
- filter system PATH to include only essential directories in isolated mode (60663c0)
- inherit_system_vars now properly passes all system vars to child processes (a144bee)
- resolve clippy warnings and improve API design (0d9b9bf)
- split PATH string before passing to join_paths (893658e)
- use string comparison instead of Path::new in filter_system_path (3254d35)
Code Refactoring
- centralize cross-platform path utilities in vx-paths::platform (6c676a6)
Documentation
- add RFC 0027 implicit package execution documentation (44f9671)
- add vx global command documentation (RFC 0025) (c2d63f8)
- update global and implicit-package-execution documentation (1496cee)

https://github.com/loonghao/vx/releases/tag/vx-v0.6.24

پروگرامنگ زبانیں اور SDK میں سب سے مقبول

سب دیکھیں
  1. Go Programming Languageپروگرامنگ زبانیں اور SDK
  2. LLVMپروگرامنگ زبانیں اور SDK · LLVM
  3. Denoپروگرامنگ زبانیں اور SDK · Deno Land Inc.
  4. CMakeپروگرامنگ زبانیں اور SDK · Kitware
  5. Yarnپروگرامنگ زبانیں اور SDK · Yarn Contributors
  6. Ccacheپروگرامنگ زبانیں اور SDK · Joel Rosdahl
  7. sbtپروگرامنگ زبانیں اور SDK · Lightbend, Inc.
  8. BOINCپروگرامنگ زبانیں اور SDK · Space Sciences Laboratory, U.C. Berkeley
  9. Dart SDKپروگرامنگ زبانیں اور SDK · Google
  10. NVM for Windowsپروگرامنگ زبانیں اور SDK · Ecor Ventures LLC

loonghao کے مزید پروگرام

سب دیکھیں
  • msvc-kitپروگرامنگ زبانیں اور SDK · loonghao

ٹیگز

شیئر کریں